/**
 * Created by Farhad on 8/22/2015.
 */
(function (angular) {
    angular
        .module('todoList.task')
        .factory('TaskService', TaskService);

    TaskService.$inject = ['$resource'];

    /* @ngInject */
    function TaskService($resource) {
        return $resource('/api/task/:taskId', {taskId: "@taskId"}, {
            'update': {method: 'PUT'}
        });
    }
})(angular);